{#
    This template is very similar to the Profile Insight template, but is
    specifically a read only view for other members.
#}

{% extends "gamestradamus/base.html" %}
{% block title %}{{ user_account.nickname }}'s Insights{% endblock %}

{% block header %}
    <article class="your-insights">
        <div class="title">
            <p class="message">
                <strong>Give us feedback!</strong><br>
                Have a suggestion on how to make this tool better?<br>Let us know what you think, or join the discussion on our&nbsp;<a href="http://steamcommunity.com/groups/gauge-powered">forums</a><br>
            </p>
            <h1>{{ user_account.nickname }}'s Insights</h1>
            <p class="instructions">
                Manage your friends on your&nbsp;<a href="/profile/settings/#friend-settings">profile settings</a>&nbsp;page.
            </p>
        </div>
    </article>
{% endblock %}

{% block container %}
<article class="your-insights">
    <div id="tab-list">
        <a class="tab active" data-metric="hp">Time</a>
        <a class="tab" data-metric="dp">Money</a>
    </div>

    <div id="aggregates">
        <div class="bottom-arrow"><div class="mask"></div></div>
        <div class="right-arrow"><div class="mask"></div></div>

        <div class="by-green">
            <div class="arc-explain">"{{ user_account.nickname }}" spent</div>
            <div id="arc-value">
                <span class="units pre"></span>
                <strong data-value="0.0">0.0</strong>
                <span class="units post"></span>
            </div>
            <div id="arc-label">
                <em>A</em> &cap; <em>B</em> &cap; <em>C</em>
            </div>
        </div>
        <div class="by-details">
            <div class="title"><span>Games</span>&nbsp;included in this value:</div>

            <a></a>
            <a></a>
            <a class="more" title="View all games included in this slice.">View full details...</a>
        </div>
        <div id="friends">
            <p>View more Insights</p>
            <div class="dropdown">
                <div class="primary"><span>Choose</span><em>▾</em></div>
                <div class="options">
                    <a href="/profile/insights/">Your Insights</a>
                    <hr>
                {% for friend in friend_list %}
                    <a href="/member/{{ friend.id }}/insights/">{{ friend.nickname }}</a>
                {% endfor %}
                </div>
            </div>
        </div>
    </div>
    <div id="drilldown">
        <h2>Where do I spend my time?</h2>
        <p class="caption">by&nbsp;<span class="blue">Enjoyment</span>&nbsp;/&nbsp;<span class="green">Hours</span>&nbsp;/&nbsp;<span class="orange">Cost</span></p>
        <div class="chart"></div>
        <p><label>Hide values &lt;5% <input class="toggle-display" type="checkbox" checked="checked"></label></p>

        <hr>

        <p class="explain">
            The games in your Library have been grouped together
            to help highlight trends in your game-play and buying habits.
        </p>
        <p class="explain">
            Each slice shown above represents a trend or habit that can
            be explored to better understand your own behaviour.
        </p>
        <p class="explain">
            Details into the measurements being used are shown in the
            charts to the right.
        </p>
    </div>
    <div id="by-blue" data-spectrum="Library/Enjoyment">
        <h2>
            <span>Enjoyment</span>
            {% set column_color = "blue" %}
            {% include "gamestradamus/fragment/insights/dropdown.html" %}
        </h2>
        <div class="combined"></div>
    </div>
    <div id="by-green" data-spectrum="Library/Hours">
        <h2>
            <span>Hours</span>
            {% set column_color = "green" %}
            {% include "gamestradamus/fragment/insights/dropdown.html" %}
        </h2>
        <div class="combined"></div>
    </div>
    <div id="by-orange" data-spectrum="Library/Cost">
        <h2>
            <span>Cost</span>
            {% set column_color = "orange" %}
            {% include "gamestradamus/fragment/insights/dropdown.html" %}
        </h2>
        <div class="combined"></div>
    </div>
    <div class="clear"></div>

</article>
{% endblock %}

{% block scripts %}
    {{ super() }}
    <script type="text/javascript" src="{{ request.config['gauge.static_base'] }}{{ request.config['gauge.javascript_base'] }}d3/d3.min.js"></script>
    <script type="text/javascript">
        var library = {{ data|json }};
        require(["gamestradamus/insights", "dojo/domReady!"], function(init) { 
            init(library, '/member/{{ user_account.id }}/games/'); 
        });
    </script>
{% endblock %}
